Je voulais juste essayer tensorflow mais chaque fois que j'essaie d'exécuter ce qui suit, j'obtiens une erreur.

import tensorflow as tf

Le message d'erreur est:

>>> import tensorflow as tf
Traceback (most recent call last):
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 978, in _gcd_import
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load
  File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 648, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 560, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
ImportError: DLL load failed: Eine DLL-Initialisierungsroutine ist fehlgeschlagen.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 17, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 16, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Python\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import *  # pylint: disable=redefined-builtin
  File "C:\Python\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 978, in _gcd_import
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load
  File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 648, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 560, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
ImportError: DLL load failed: Eine DLL-Initialisierungsroutine ist fehlgeschlagen.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 17, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Python\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 16, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_problems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

J'ai déjà recherché une solution dans les discussions suivantes:

Erreur lors de «l'importation de tensorflow» (erreur d'installation de Tensorflow Windows 10)

Sous Windows, l'exécution de "import tensorflow" ne génère aucun module nommé "_pywrap_tensorflow"

À chaque fois, la solution suggérée consistait à installer "Visual C ++ 2015 redistributable (version x64)" pour obtenir le "MSVCP140.DLL". J'ai installé la mise à jour 3, mais elle ne l'a pas fait Aidez-moi. Je peux de toute façon trouver la dll avec la commande "where":

C:\>where msvcp140.dll
C:\Windows\System32\msvcp140.dll

Mon PC fonctionne sous Windows 10. La version python installée est 3.6.2

Python 3.6.2 (v3.6.2:5fd33b5, Jul  8 2017, 04:57:36) [MSC v.1900 64 bit (AMD64)] on win32

Que puis-je faire d'autre?

1
Dan 12 avril 2018 à 00:07

3 réponses

Meilleure réponse

J'ai trouvé une solution simple. Bien que la configuration ait fonctionné sur un autre ordinateur, ici, j'avais besoin d'installer une ancienne version de tensorflow.

pip install tensorflow==1.5

Merci aux conseils dans les commentaires pour le script d'auto-vérification.

2
Dan 14 avril 2018 à 06:02

Utilisez Anaconda et installez tensorflow dans anaconda. si vous utilisez déjà anaconda, installez tesnorflow en utilisant conda install tensorflow

0
Dhinakaran 12 avril 2018 à 04:06

Sans savoir quelle version de tf vous avez installée, si vous ne l'avez pas obtenue du référentiel uci pour les binaires Windows 64 bits, essayez de supprimer la version dont vous disposez (pip uninstall tensorflow), puis téléchargez et installez la version depuis ici. J'espère que cela pourra aider.

0
user6817295 12 avril 2018 à 03:51